aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/osmo-deps.sh
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-10-27 22:31:14 +0200
committerNeels Hofmeyr <neels@hofmeyr.de>2017-10-27 22:37:22 +0200
commit7c5e34cba004837189c92ca015856a06288872e0 (patch)
treee1a6d528a3c94e702bd67d23cf012cb38a04a55e /scripts/osmo-deps.sh
parentf42a1cfa501d67a0fa96def4a1ff352c2b214620 (diff)
osmo-build-dep: offload branch checkout to osmo-deps.sh
In osmo-deps.sh, add second arg $branch, and also name the first one (i.e. $project). Use the passed branch or 'origin/master' by default. In osmo-build-dep.sh, it's not necessary to do a second 'git rev-parse HEAD', osmo-deps.sh already does it. Change-Id: I598c41a12352acea6e49a321ad2f665f6ea07a44
Diffstat (limited to 'scripts/osmo-deps.sh')
-rwxr-xr-xscripts/osmo-deps.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/scripts/osmo-deps.sh b/scripts/osmo-deps.sh
index c256a6a..92cf041 100755
--- a/scripts/osmo-deps.sh
+++ b/scripts/osmo-deps.sh
@@ -1,12 +1,14 @@
#!/bin/sh
set -ex
+project="$1"
+branch="${2:-origin/master}"
-if ! test -d $1;
+if ! test -d "$project";
then
- git clone git://git.osmocom.org/$1 $1
+ git clone "git://git.osmocom.org/$project" "$project"
fi
-cd $1
+cd "$project"
git fetch origin
# Cleanup should already have happened during a global osmo-clean-workspace.sh,
@@ -14,5 +16,5 @@ git fetch origin
# the dep subdir separately:
osmo-clean-workspace.sh
-git reset --hard origin/master
+git reset --hard "$branch"
git rev-parse HEAD